server {
    listen       8080;
    listen  [::]:8080;
    server_name  _;

    location / {
        root   /app;
        index  index.html index.htm;
        try_files $uri $uri/ /index.html;
    }
}